<?php class actionExpensesCosts extends cmsAction {

    public function run(){

        $user = cmsUser::getInstance();
        if(!$user->is_admin) cmsCore::error404();

        $data = $this->request->get('data', false);
        $expenses = false;

        if($data){
            foreach ($data['title'] as $key=>$title){
                $expenses[] = array(
                    'title' => $data['title'][$key],
                    'period' => $data['period'][$key],
                    'price' => $data['price'][$key]
                );
            }

            $expenses['intro'] = $this->request->get('intro', false);
            $expenses['note'] = $this->request->get('note', false);

            $this->model->setExpenses($expenses);
            cmsUser::addSessionMessage('Изменения успешно сохранены', 'success');

        } else {
            $expenses = $this->model->getExpenses();
        }

        $intro = $expenses['intro'];
        $note = $expenses['note'];
        unset($expenses['intro'], $expenses['note']);

        return $this->cms_template->render('costs', array(
            'expenses' => $expenses,
            'intro' => $intro,
            'note' => $note,
            'user' => $user
        ));
    }

}
