<?php class actionExpensesIndex extends cmsAction {

    public function run(){

        $user = cmsUser::getInstance();
        $expenses = $this->model->getExpenses();
        $summ = 0;
        $intro = $expenses['intro'];
        $note = $expenses['note'];
        unset($expenses['intro'], $expenses['note']);


        foreach ($expenses as $key=>$exp){


            if($exp['period'] != 0){
                $period = str_replace(array('w', 'd'), '', $exp['period']);
                if(strstr($exp['period'], 'd')) $period = $period/30;
                if(strstr($exp['period'], 'w')) $period = ($period*7)/30;
                $per_month = $exp['price']/$period;
                $summ = $summ + $per_month;
            }

            if(strstr($exp['period'], 'd')){
                $exp['period'] = str_replace('d','', $exp['period']);
                $expenses[$key]['period'] = LANG_EXPENSES_ONE_IN.$this->model->decl($exp['period'], array(
                        LANG_EXPENSES_DAY_1, LANG_EXPENSES_DAY_2, LANG_EXPENSES_DAY_10));
                continue;
            }

            if(strstr($exp['period'], 'w')){
                $exp['period'] = str_replace('w','', $exp['period']);
                $expenses[$key]['period'] = LANG_EXPENSES_ONE_IN.$this->model->decl($exp['period'], array(
                        LANG_EXPENSES_WEEK_1, LANG_EXPENSES_WEEK_2, LANG_EXPENSES_WEEK_10));
                continue;
            }

            if($exp['period'] == 1){
                $expenses[$key]['period'] = LANG_EXPENSES_PERMONTH;
                continue;
            }

            if($exp['period'] == 12){
                $expenses[$key]['period'] = LANG_EXPENSES_PERYEAR;
                continue;
            }

            if($exp['period'] > 12 && $exp['period']%12 == 0){
                $expenses[$key]['period'] = LANG_EXPENSES_ONE_IN.$this->model->decl($exp['period']/12, array(
                        LANG_EXPENSES_YEAR_1, LANG_EXPENSES_YEAR_2, LANG_EXPENSES_YEAR_10));
                continue;
            }

            $expenses[$key]['period'] = LANG_EXPENSES_ONE_IN.$this->model->decl($exp['period'], array(
                LANG_EXPENSES_MONTH_1, LANG_EXPENSES_MONTH_2, LANG_EXPENSES_MONTH_10));


        }

        return $this->cms_template->render('index', array(
            'expenses' => $expenses,
            'intro' => $intro,
            'note' => $note,
            'summ' => round($summ, 2),
            'user' => $user
        ));

    }

}
