<?php
class widgetExpensesMonthly extends cmsWidget {

    public function run(){

        $html = $this->getOption('html');

        $model = cmsCore::getModel('expenses');
        $expenses = $model->getExpenses();
        unset($expenses['intro'], $expenses['note']);
        $summ = array('month' => 0, 'week' => 0, 'day' => 0);

        foreach ($expenses as $key=>$exp) {

            if($exp['period'] != 0){

                if(strstr($exp['period'], 'd')){
                    $period = str_replace('d', '', $exp['period']);
                    $per_day = $exp['price']/$period;
                    $per_week = $per_day * 7;
                    $per_month = $per_day * 30;

                }
                if(strstr($exp['period'], 'w')){
                    $period = str_replace('w', '', $exp['period']);
                    $per_day = $exp['price']/(7*$period);
                    $per_week = $per_day * 7;
                    $per_month = $per_day * 30;

                }

                if(is_numeric($exp['period'])){
                    $per_day = $exp['price']/(30*$exp['period']);
                    $per_week = $per_day * 7;
                    $per_month = $per_day * 30;
                }


                $summ['month'] = $summ['month'] + $per_month;
                $summ['week'] = $summ['week'] + $per_week;
                $summ['day'] = $summ['day'] + $per_day;
            }
        }

        $html = str_replace('{month}', round($summ['month'], 2), $html);
        $html = str_replace('{week}', round($summ['week'], 2), $html);
        $html = str_replace('{day}', round($summ['day'], 2), $html);

        return array(
            'html' => $html
        );

    }

}
