<?php $this->addCSS('templates/default/css/jquery-ui.css'); ?>
<?php $this->addJS('templates/default/js/jquery-ui.js'); ?>

<?php

    $this->setPageTitle(LANG_EXPENSES_COSTSLIST);
    $this->addBreadcrumb(LANG_EXPENSES_COSTS, href_to('expenses'));
    $this->addBreadcrumb(LANG_EXPENSES_COSTSLIST);

?>

<h1><?php echo LANG_EXPENSES_COSTSLIST; ?></h1>
<div class="costs">
    <form id="cost-form" action="" method="post" accept-charset="utf-8">

        <fieldset>
        <legend><?php echo LANG_EXPENSES_COST_STRUCT; ?></legend>
        <table class="costs_table" id="contains" cellspacing="5">
            <thead>
            <tr>
                <th width="24">M</th>
                <th><?php echo LANG_EXPENSES_TITLE; ?></th>
                <th width="170"><?php echo LANG_EXPENSES_PER; ?>(<?php echo LANG_EXPENSES_MONTH_SHORT; ?>)</th>
                <th width="130"><?php echo LANG_EXPENSES_PRICE; ?>(<?php echo LANG_EXPENSES_CURRENCY; ?>)</th>
                <th width="24">X</th>
            </tr>
            </thead>
            <tbody>
                <?php if($expenses) foreach($expenses as $key=>$exp){ ?>
                <tr>
                    <td width="24" class="cost-drag"><?php echo $key++; ?></td>
                    <td><input class="cost-title" type="text" name="data[title][]" value="<?php echo $exp['title']; ?>" required=""></td>
                    <td><input class="cost-period" type="text" name="data[period][]" value="<?php echo $exp['period']; ?>" required=""></td>
                    <td><input class="cost-price" type="text" name="data[price][]" value="<?php echo $exp['price']; ?>" required=""></td>
                    <td width="24">
                        <a class="cost-del-button" href="#" onclick="deleteCost(this)" title="<?php echo LANG_EXPENSES_DEL_LINE; ?>"></a>
                    </td>
                </tr>

                <?php } ?>
            </tbody>
        </table>
            <a class="cost-add-button" href="#" onclick="addCost();"><?php echo LANG_EXPENSES_ADD_LINE; ?></a>

            <small><?php echo LANG_EXPENSES_NOTICE; ?></small>
        </fieldset>

        <fieldset>
            <legend><?php echo LANG_EXPENSES_ADV_INFO; ?></legend>

            <div class="field">
                <label for="intro"><?php echo LANG_EXPENSES_INTRO_TEXT; ?></label>
                <textarea id="intro" class="cost-text" name="intro" class="textarea"><?php echo $intro; ?></textarea>
            </div>

            <div class="field">
                <label for="note"><?php echo LANG_EXPENSES_NOTE_TEXT; ?></label>
                <textarea id="note" class="cost-text" name="note" class="textarea"><?php echo $note; ?></textarea>
            </div>

        </fieldset>


        <div class="buttons">
            <input type="submit" class="button" value="<?php echo LANG_EXPENSES_SAVE; ?>">
        </div>
    </form>
</div>

<script>

    $(document).ready(function() {
        $('#contains tbody').children().each(function(index) {
            $(this).find('td.cost-drag').html(index + 1)
        });
    });

    $('#contains tbody').sortable( {
        update: function( event, ui ) {
            $(this).children().each(function(index) {
                $(this).find('td.cost-drag').html(index + 1)
            });
        }
    });

    function addCost() {
        $('#contains').append('<tr><td width="24" class="cost-drag"></td>' +
            '<td><input class="cost-title" type="text" name="data[title][]" required=""></td>' +
            '<td><input class="cost-period" type="text" name="data[period][]" required=""></td>' +
            '<td><input class="cost-price" type="text" name="data[price][]" required=""></td>' +
            '<td width="24"><a class="cost-del-button" href="#" onclick="deleteCost(this)" title="<?php echo LANG_EXPENSES_DEL_LINE; ?>"></a></td></tr>')
    }

    function deleteCost(button) {
        $(button).closest('tr').remove();
    }


</script>