<?php

    $this->setPageTitle(LANG_EXPENSES_COSTS);
    $this->addBreadcrumb(LANG_EXPENSES_COSTS, href_to('expenses'));


    if($user->is_admin){
        $this->addToolButton(array(
            'class' => 'edit',
            'title' => LANG_EXPENSES_COST_EDIT,
            'href'  => href_to('expenses', 'costs')
        ));
    }

?>

<h1><?php echo LANG_EXPENSES_COSTS; ?></h1>

<div class="cost-intro"><?php echo $intro; ?></div>

<table class="costs_table" id="contains">
    <thead>
    <tr>
        <th><?php echo LANG_EXPENSES_COST_GRAPH; ?></th>
        <th width="170"><?php echo LANG_EXPENSES_PER; ?></th>
        <th width="130"><?php echo LANG_EXPENSES_PRICE; ?></th>
    </tr>
    </thead>
    <tbody>
    <?php if($expenses) foreach($expenses as $key=>$exp){ ?>
        <tr>
            <td><?php echo $exp['title']; ?></td>
            <td align="center"><?php echo $exp['period']; ?></td>
            <td align="center"><?php echo $exp['price'].' '.LANG_EXPENSES_CURRENCY; ?></td>
        </tr>

    <?php } ?>
    </tbody>
</table>

<hr/>

<div class="summary">
    <b><?php echo LANG_EXPENSES_SUMM; ?>: </b>
    <div class="permonth-summ"><?php echo $summ.' '.LANG_EXPENSES_CURRENCY.'/'.LANG_EXPENSES_MONTH_1; ?></div>
</div>

<div class="cost-note"><?php echo $note; ?></div>
